View Issue Details

IDProjectCategoryView StatusLast Update
0032592Open CASCADEPRODUCTS:Volume Renderingpublic2021-12-17 18:41
Reporterkgv Assigned Tongavrilo  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032592: Volume Rendering, VolumeRender_RawRenderer - use 2D texture instead of 1D for compatibility
Description1D textures are unsupported by OpenGL ES, so it is desired using 2D textures insteed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numbervolumerender/datagen/rawvolume

Activities

kgv

2021-09-27 17:53

developer   ~0104407

Please raise the patch
- OCC Products: CR32592.

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR32592-KGV/

smoskvin

2021-10-02 10:33

administrator   ~0104475

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2021-10-02 11:33

administrator   ~0104488

fix has been integrated into master of occt-products repository

Related Changesets

occt-products: master a7a40998

2021-09-27 16:23:28

ngavrilo


Committer: kgv Details Diff
0032592: Volume Rendering, VolumeRender_RawRenderer - use 2D texture instead of 1D for compatibility Affected Issues
0032592
mod - diff Diff File
mod - src/VolumeRender/VolumeRender_RawRenderer.Shaders.cxx Diff File

Issue History

Date Modified Username Field Change
2021-09-27 16:20 kgv New Issue
2021-09-27 16:20 kgv Assigned To => kgv
2021-09-27 17:53 kgv Note Added: 0104407
2021-09-27 17:53 kgv Assigned To kgv => bugmaster
2021-09-27 17:53 kgv Status new => resolved
2021-09-27 17:54 kgv Test case number => volumerender/datagen/rawvolume
2021-09-27 17:54 kgv Status resolved => reviewed
2021-10-02 10:33 smoskvin Note Added: 0104475
2021-10-02 10:33 smoskvin Status reviewed => tested
2021-10-02 11:33 bugmaster Note Added: 0104488
2021-10-02 11:33 bugmaster Status tested => verified
2021-10-02 11:33 bugmaster Resolution open => fixed
2021-12-17 18:41 kgv Changeset attached => occt-products master a7a40998
2021-12-17 18:41 ngavrilo Assigned To bugmaster => ngavrilo
2021-12-17 18:41 ngavrilo Status closed => verified